org.apache.cassandra.thrift

## Enum TimedOutException._Fields

- java.lang.Object
- - java.lang.Enum<TimedOutException._Fields>
  - - org.apache.cassandra.thrift.TimedOutException._Fields

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TimedOutException._Fields>, org.apache.thrift.TFieldIdEnum

Enclosing class:
  TimedOutException

    public static enum TimedOutException._Fields
    extends java.lang.Enum<TimedOutException._Fields>
    implements org.apache.thrift.TFieldIdEnum

The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ACKNOWLEDGED_BY` if a write operation was acknowledged by some replicas but not by enough to satisfy the required ConsistencyLevel, the number of successful replies will be given here.
`ACKNOWLEDGED_BY_BATCHLOG` in case of atomic_batch_mutate method this field tells if the batch was written to the batchlog.
`PAXOS_IN_PROGRESS` for the CAS method, this field tells if we timed out during the paxos protocol, as opposed to during the commit of our update

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TimedOutException._Fields` `findByName(java.lang.String name)` Find the _Fields constant that matches name, or null if its not found.
`static TimedOutException._Fields` `findByThriftId(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
`static TimedOutException._Fields` `findByThriftIdOrThrow(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
`java.lang.String` `getFieldName()`
`short` `getThriftFieldId()`
`static TimedOutException._Fields` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TimedOutException._Fields[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ACKNOWLEDGED_BY

    public static final TimedOutException._Fields ACKNOWLEDGED_BY

if a write operation was acknowledged by some replicas but not by enough to satisfy the required ConsistencyLevel, the number of successful replies will be given here. In case of atomic_batch_mutate method this field will be set to -1 if the batch was written to the batchlog and to 0 if it wasn't.

#### ACKNOWLEDGED_BY_BATCHLOG

    public static final TimedOutException._Fields ACKNOWLEDGED_BY_BATCHLOG

in case of atomic_batch_mutate method this field tells if the batch was written to the batchlog.

#### PAXOS_IN_PROGRESS

    public static final TimedOutException._Fields PAXOS_IN_PROGRESS

for the CAS method, this field tells if we timed out during the paxos protocol, as opposed to during the commit of our update

### Method Detail

#### values

    public static TimedOutException._Fields[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TimedOutException._Fields c : TimedOutException._Fields.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TimedOutException._Fields valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### findByThriftId

    public static TimedOutException._Fields findByThriftId(int fieldId)

Find the _Fields constant that matches fieldId, or null if its not found.

#### findByThriftIdOrThrow

    public static TimedOutException._Fields findByThriftIdOrThrow(int fieldId)

Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

#### findByName

    public static TimedOutException._Fields findByName(java.lang.String name)

Find the _Fields constant that matches name, or null if its not found.

#### getThriftFieldId

    public short getThriftFieldId()

Specified by:
  `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

#### getFieldName

    public java.lang.String getFieldName()

Specified by:
  `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`